=== debian/changelog ===
libpwizlite (3.0.2-1) unstable; urgency=low

  * New version with:
    - Fixes C++17-related incompatibilities;
    - Build under MXE cross-compiling environment;
    - Add new file for building on macport APPLE, with a specific flag.

 -- Filippo Rusconi <lopippo@debian.org>  Wed, 15 Jul 2020 11:01:19 +0200

libpwizlite (3.0.1-1~buster+1) buster; urgency=medium

  * merge with salsa version

 -- Olivier Langella <olivier.langella@u-psud.fr>  Wed, 10 Jun 2020 15:56:45 +0200

libpwizlite (3.0.0-2) buster; urgency=medium

  * debian package for PAPPSO buster repository

 -- Olivier Langella <olivier.langella@u-psud.fr>  Wed, 10 Jun 2020 15:23:29 +0200

libpwizlite (3.0.1-1) unreleased; urgency=low

  * New upstream version with new files to perform some
    mass speak feature searching from the same 
    ProteoWizard source tree as for version 3.0.0-1:
    pwiz-src-without-v-3_0_20155_05bff32-downloaded-20200603-19h19.

 -- Filippo Rusconi <lopippo@debian.org>  Thu, 04 Jun 2020 17:08:30 +0200

libpwizlite (3.0.0-1) unstable; urgency=medium

  * Initial release (Closes: #961805). Note that the ITP had source
    package name custompwiz, but libpwizlite seems more adequate.

 -- Filippo Rusconi <lopippo@debian.org>  Thu, 28 May 2020 20:39:58 +0200
