## libpwizlite 3.0.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -13,10 +13,10 @@
 
 set(PWIZLITE_VERSION_MAJOR "3")
 set(PWIZLITE_VERSION_MINOR "0")
-set(PWIZLITE_VERSION_PATCH "2")
+set(PWIZLITE_VERSION_PATCH "3")
 set(PWIZLITE_VERSION "${PWIZLITE_VERSION_MAJOR}.${PWIZLITE_VERSION_MINOR}.${PWIZLITE_VERSION_PATCH}")
 # This VERSION is parseable by the makeOrigTarball script.
-set(VERSION 3.0.2)
+set(VERSION 3.0.3)
 
 message(STATUS "${BoldYellow}CMAKE_LIBRARY_ARCHITECTURE: ${CMAKE_LIBRARY_ARCHITECTURE}${ColourReset}")
