=== debian/changelog ===
libpwizlite (3.0.3-1build1) hirsute; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 12 Dec 2020 13:07:55 +0100

libpwizlite (3.0.3-1) unstable; urgency=low

  * Fix glitch with the macOS port.

  * d/copyright: Fix problem with files appearing in multiple stanzas due to
    their having multiple copyright owners (lintian error:
    duplicate-globbing-patterns).

 -- Filippo Rusconi <lopippo@debian.org>  Tue, 20 Oct 2020 17:32:42 +0200
