## libpwizlite 3.0.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -13,10 +13,10 @@
 
 set(PWIZLITE_VERSION_MAJOR "3")
 set(PWIZLITE_VERSION_MINOR "0")
-set(PWIZLITE_VERSION_PATCH "3")
+set(PWIZLITE_VERSION_PATCH "4")
 set(PWIZLITE_VERSION "${PWIZLITE_VERSION_MAJOR}.${PWIZLITE_VERSION_MINOR}.${PWIZLITE_VERSION_PATCH}")
 # This VERSION is parseable by the makeOrigTarball script.
-set(VERSION 3.0.3)
+set(VERSION 3.0.4)
 
 message(STATUS "${BoldYellow}CMAKE_LIBRARY_ARCHITECTURE: ${CMAKE_LIBRARY_ARCHITECTURE}${ColourReset}")
 
@@ -160,10 +160,6 @@
 if(CMAKE_INSTALL_PREFIX)
     set(CMAKE_PREFIX_PATH "${CMAKE_INSTALL_PREFIX}" ${CMAKE_PREFIX_PATH})
 endif()
-
-# Before going down the directories, create a variable to store
-# all the platform-specific library to link to
-set(PLATFORM_SPECIFIC_LINK_LIBRARIES "")
 
 # Subdirectories
 message(STATUS "Adding subdirectory src for PROJECT: ${PROJECT}")
