=== debian/changelog ===
libpwizlite (3.0.4-1) unstable; urgency=low

  * New upstream release (downloaded 20220208), filename
    pwiz-src-without-v-3_0_22039_5908c98.tar.bz2.

  * Add debian/not-installed to document uninstalled files.

  * Standards-Version: 4.6.0 (no changes required).

  * Build-Depends: debhelper-compat (= 13).

 -- Filippo Rusconi <lopippo@debian.org>  Wed, 09 Feb 2022 11:59:15 +0100
