=== debian/rules ===
--- 
+++ 
@@ -19,7 +19,7 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 DPKG_EXPORT_BUILDFLAGS = 1
 
-export LIB_VERSION = 3.0.3
+export LIB_VERSION = 3.0.4
 export LIB_SOVERSION = 3
 
 %:
