## libpwizlite 3.0.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -13,10 +13,10 @@
 
 set(PWIZLITE_VERSION_MAJOR "3")
 set(PWIZLITE_VERSION_MINOR "0")
-set(PWIZLITE_VERSION_PATCH "4")
+set(PWIZLITE_VERSION_PATCH "5")
 set(PWIZLITE_VERSION "${PWIZLITE_VERSION_MAJOR}.${PWIZLITE_VERSION_MINOR}.${PWIZLITE_VERSION_PATCH}")
 # This VERSION is parseable by the makeOrigTarball script.
-set(VERSION 3.0.4)
+set(VERSION 3.0.5)
 
 message(STATUS "${BoldYellow}CMAKE_LIBRARY_ARCHITECTURE: ${CMAKE_LIBRARY_ARCHITECTURE}${ColourReset}")
 
@@ -59,10 +59,10 @@
 set(CMAKE_EXPORT_COMPILE_COMMANDS 1)
 
 if(EXISTS "${CMAKE_CURRENT_BINARY_DIR}/compile_commands.json" )
-    execute_process( COMMAND cmake -E copy_if_different
-        ${CMAKE_CURRENT_BINARY_DIR}/compile_commands.json
-        ${CMAKE_CURRENT_SOURCE_DIR}/compile_commands.json
-        )
+  execute_process( COMMAND cmake -E copy_if_different
+    ${CMAKE_CURRENT_BINARY_DIR}/compile_commands.json
+    ${CMAKE_CURRENT_SOURCE_DIR}/compile_commands.json
+    )
 endif()
 
 
@@ -83,37 +83,44 @@
 add_definitions(-Wextra)
 
 if(WARN_AS_ERROR)
-    message(STATUS "${BoldYellow}Setting definition -Werror.${ColourReset}")
-    add_definitions(-Werror)
+  message(STATUS "${BoldYellow}Setting definition -Werror.${ColourReset}")
+  add_definitions(-Werror)
 endif()
 
 message(STATUS "${BoldRed}CMAKE_SOURCE_DIR: ${CMAKE_SOURCE_DIR}${ColourReset}")
 
 
+# Initialize a list variable that will be updated depending on the specific
+# platforms below.
+list(APPEND PLATFORM_SPECIFIC_LINK_LIBRARIES "")
 #############################################################
 #############################################################
 # Platform-specific CMake configuration
 if(MXE)
-    include(${CMAKE_TOOLCHAINS_PATH}/mxe-toolchain.cmake)
-
-    # Set the name to the systemUname variable because in this situation that name
-    # is not found, it it passed as a flag in the command line.
-    set(SYSTEM_UNAME_S "mxe")
+  include(${CMAKE_TOOLCHAINS_PATH}/mxe-toolchain.cmake)
+
+  # Set the name to the systemUname variable because in this situation that name
+  # is not found, it it passed as a flag in the command line.
+  set(SYSTEM_UNAME_S "mxe")
 
 elseif(UNIX AND NOT APPLE)
 
-    include(${CMAKE_TOOLCHAINS_PATH}/unix-toolchain.cmake)
+  include(${CMAKE_TOOLCHAINS_PATH}/unix-toolchain.cmake)
 
 elseif(WIN32 OR _WIN32)
 
-    if(WIN10MINGW64)
-
-        include(${CMAKE_TOOLCHAINS_PATH}/win10-mingw64-toolchain.cmake)
-    endif()
+  if(WIN10MINGW64)
+
+    # The file below will actually #define WIN10MINGW64 for 
+    # consumption by the src/pwiz/utility/misc/Filesystem.cpp file !
+    include(${CMAKE_TOOLCHAINS_PATH}/win10-mingw64-toolchain.cmake)
+    
+  endif()
 
 elseif(APPLE)
 
-    include(${CMAKE_TOOLCHAINS_PATH}/apple-macport-toolchain.cmake)
+  include(${CMAKE_TOOLCHAINS_PATH}/apple-macport-toolchain.cmake)
+
 endif()
 
 message("")
@@ -129,24 +136,24 @@
 message(STATUS "CMAKE_CURRENT_BINARY_DIR: " ${CMAKE_CURRENT_BINARY_DIR})
 
 if(NOT CMAKE_BUILD_TYPE)
-    set(CMAKE_BUILD_TYPE Release CACHE STRING
-        "Type of build, options are: None, Debug, Release, RelWithDebInfo, MinSizeRel."
-        FORCE)
+  set(CMAKE_BUILD_TYPE Release CACHE STRING
+    "Type of build, options are: None, Debug, Release, RelWithDebInfo, MinSizeRel."
+    FORCE)
 endif(NOT CMAKE_BUILD_TYPE)
 
 if(CMAKE_BUILD_TYPE MATCHES "Release")
-    message(STATUS "Compiling in release mode.")
-    add_definitions("-DQT_NO_DEBUG_OUTPUT")
+  message(STATUS "Compiling in release mode.")
+  add_definitions("-DQT_NO_DEBUG_OUTPUT")
 endif()
 
 if(CMAKE_BUILD_TYPE MATCHES "Debug")
-    message(STATUS "Compiling in debug mode: ${MAKE_TEST}.")
-    message(STATUS "Add definition -ggdb3 to format debug output for GDB.")
-    add_definitions(-ggdb3)
+  message(STATUS "Compiling in debug mode: ${MAKE_TEST}.")
+  message(STATUS "Add definition -ggdb3 to format debug output for GDB.")
+  add_definitions(-ggdb3)
 endif()
 
 if(CMAKE_BUILD_TYPE MATCHES "RelWithDebInfo")
-    message(STATUS "Compiling in release with debug info mode.")
+  message(STATUS "Compiling in release with debug info mode.")
 endif( CMAKE_BUILD_TYPE MATCHES "RelWithDebInfo" )
 
 message(STATUS "${BoldYellow}CMAKE_BUILD_TYPE: ${CMAKE_BUILD_TYPE}.${ColourReset}")
@@ -158,7 +165,7 @@
 # Set the CMAKE_PREFIX_PATH for the find_library fonction when using non
 # standard install location
 if(CMAKE_INSTALL_PREFIX)
-    set(CMAKE_PREFIX_PATH "${CMAKE_INSTALL_PREFIX}" ${CMAKE_PREFIX_PATH})
+  set(CMAKE_PREFIX_PATH "${CMAKE_INSTALL_PREFIX}" ${CMAKE_PREFIX_PATH})
 endif()
 
 # Subdirectories
@@ -166,31 +173,37 @@
 add_subdirectory(src)
 
 
-
-set(CPACK_CMAKE_GENERATOR "Unix Makefiles")
-set(CPACK_GENERATOR "STGZ;TGZ;TZ")
-set(CPACK_OUTPUT_CONFIG_FILE "./CPackConfig.cmake")
-#set(CPACK_PACKAGE_DESCRIPTION_FILE ${LIBODSSTREAM_SOURCE_DIR}/COPYING)
-set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "A library that contains a subset of the ProteoWizard libpwiz library with code mainly aimed at loading MS files (XML-based and MGF).")
-set(CPACK_PACKAGE_EXECUTABLES "libpwizlite")
-set(CPACK_SOURCE_PACKAGE_FILE_NAME "libpwizlite-${PWIZLITE_VERSION}")
-set(CPACK_SYSTEM_NAME "Linux-i686")
-set(CPACK_PACKAGE_FILE_NAME "libpwizlite-${PWIZLITE_VERSION}-${CPACK_SYSTEM_NAME}")
-set(CPACK_PACKAGE_INSTALL_DIRECTORY "libpwizlite ${PWIZLITE_VERSION}")
-set(CPACK_PACKAGE_INSTALL_REGISTRY_KEY "libpwizlite ${PWIZLITE_VERSION}")
-set(CPACK_PACKAGE_NAME "libpwizlite")
-set(CPACK_PACKAGE_VENDOR "PAPPSO")
-set(CPACK_PACKAGE_VERSION ${PWIZLITE_VERSION})
-set(CPACK_RESOURCE_FILE_LICENSE ${CMAKE_SOURCE_DIR}/debian/copyright)
-set(CPACK_SOURCE_GENERATOR "TGZ;TZ")
-set(CPACK_SOURCE_OUTPUT_CONFIG_FILE "./CPackSourceConfig.cmake")
-set(CPACK_SOURCE_STRIP_FILES "")
-set(CPACK_SYSTEM_NAME "Linux-i686")
-set(CPACK_TOPLEVEL_TAG "Linux-i686")
-set(CPACK_SOURCE_PACKAGE_FILE_NAME "libpwizlite-${PWIZLITE_VERSION}")
-
-
-set(CPACK_SOURCE_IGNORE_FILES 
+# There are situations where we do not want CPack processing.
+# For that, configure the build using -DNO_CPACK=1.
+
+if(NOT NO_CPACK)
+
+  message("STATUS: Now managing the CPack process")
+
+  set(CPACK_CMAKE_GENERATOR "Unix Makefiles")
+  set(CPACK_GENERATOR "STGZ;TGZ;TZ")
+  set(CPACK_OUTPUT_CONFIG_FILE "./CPackConfig.cmake")
+  #set(CPACK_PACKAGE_DESCRIPTION_FILE ${LIBODSSTREAM_SOURCE_DIR}/COPYING)
+  set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "A library that contains a subset of the ProteoWizard libpwiz library with code mainly aimed at loading MS files (XML-based and MGF).")
+  set(CPACK_PACKAGE_EXECUTABLES "libpwizlite")
+  set(CPACK_SOURCE_PACKAGE_FILE_NAME "libpwizlite-${PWIZLITE_VERSION}")
+  set(CPACK_SYSTEM_NAME "Linux-i686")
+  set(CPACK_PACKAGE_FILE_NAME "libpwizlite-${PWIZLITE_VERSION}-${CPACK_SYSTEM_NAME}")
+  set(CPACK_PACKAGE_INSTALL_DIRECTORY "libpwizlite ${PWIZLITE_VERSION}")
+  set(CPACK_PACKAGE_INSTALL_REGISTRY_KEY "libpwizlite ${PWIZLITE_VERSION}")
+  set(CPACK_PACKAGE_NAME "libpwizlite")
+  set(CPACK_PACKAGE_VENDOR "PAPPSO")
+  set(CPACK_PACKAGE_VERSION ${PWIZLITE_VERSION})
+  set(CPACK_RESOURCE_FILE_LICENSE ${CMAKE_SOURCE_DIR}/debian/copyright)
+  set(CPACK_SOURCE_GENERATOR "TGZ;TZ")
+  set(CPACK_SOURCE_OUTPUT_CONFIG_FILE "./CPackSourceConfig.cmake")
+  set(CPACK_SOURCE_STRIP_FILES "")
+  set(CPACK_SYSTEM_NAME "Linux-i686")
+  set(CPACK_TOPLEVEL_TAG "Linux-i686")
+  set(CPACK_SOURCE_PACKAGE_FILE_NAME "libpwizlite-${PWIZLITE_VERSION}")
+
+
+  set(CPACK_SOURCE_IGNORE_FILES 
     ".*\\\\.tar\\\\.gz"
     "moc_.*cxx"
     "\\\\.#.*"
@@ -238,30 +251,38 @@
     )
 
 
-set(CPACK_PACKAGE_EXECUTABLES "libpwizlite" "libpwizlite")
-
-
-# for debian package :
-set(CPACK_DEBIAN_PACKAGE_MAINTAINER "Olivier Langella <olivier.langella@u-psud.fr>")
-set(DEBIAN_PACKAGE_BUILDS_DEPENDS "Olivier Langella <olivier.langella@u-psud.fr>")
-
-
-include(CPack)
-
-# to create a TGZ archive of the  source code type shell command
-# cpack -G TGZ --config CPackSourceConfig.cmake 
-
-
-add_custom_target(targz
+  set(CPACK_PACKAGE_EXECUTABLES "libpwizlite" "libpwizlite")
+
+
+  # for debian package :
+  set(CPACK_DEBIAN_PACKAGE_MAINTAINER "Olivier Langella <olivier.langella@u-psud.fr>")
+  set(DEBIAN_PACKAGE_BUILDS_DEPENDS "Olivier Langella <olivier.langella@u-psud.fr>")
+
+
+  include(CPack)
+
+
+  # to create a TGZ archive of the  source code type shell command
+  # cpack -G TGZ --config CPackSourceConfig.cmake 
+
+
+  add_custom_target(targz
     cpack -G TGZ --config CPackSourceConfig.cmake && tar xvfz libpwizlite-${PWIZLITE_VERSION}.tar.gz
     WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
     COMMENT "Creating .tar.gz" VERBATIM
     )
 
 
-add_custom_target(deb
+  add_custom_target(deb
     ln -s libpwizlite-${PWIZLITE_VERSION}.tar.gz libpwizlite_${PWIZLITE_VERSION}.orig.tar.gz && cd libpwizlite-${PWIZLITE_VERSION} && dpkg-buildpackage -sa
     DEPENDS targz
     WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
     COMMENT "Creating Debian package" VERBATIM
     )
+
+else()
+
+  message("STATUS: Not including CPack")
+
+endif(NOT NO_CPACK)
+
