=== src/CMakeLists.txt ===
--- 
+++ 
@@ -37,6 +37,7 @@
     pwiz/utility/misc/IntegerSet.cpp
     pwiz/utility/misc/SHA1.cpp
     pwiz/utility/misc/SHA1Calculator.cpp
+    pwiz/utility/misc/String.cpp
     pwiz/data/msdata/Serializer_MGF.cpp
     pwiz/data/msdata/MSNumpress.cpp
     pwiz/data/msdata/Serializer_MSn.cpp
