=== debian/changelog ===
libpwizlite (3.0.5-2.1build3) noble; urgency=medium

  * No-change rebuild against libboost-chrono1.83.0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 09 Apr 2024 02:24:06 +0000

libpwizlite (3.0.5-2.1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 19:31:20 +0000

libpwizlite (3.0.5-2.1build1) noble; urgency=high

  * No change rebuild against libboost-chrono1.83.0t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 17:37:51 +0100

libpwizlite (3.0.5-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062581

 -- Benjamin Drung <bdrung@debian.org>  Wed, 28 Feb 2024 17:01:29 +0000

libpwizlite (3.0.5-2) unstable; urgency=low

  * Fix Bug#1045317: libpwizlite: Fails to build source after successful build
    (Closes: #1045317).

 -- Filippo Rusconi <lopippo@debian.org>  Thu, 23 Nov 2023 21:56:47 +0100

libpwizlite (3.0.5-1) unstable; urgency=low

  * New upstream with fixed portability problems to WIN10 (nov 2022).
  * Fixed compilation failures due to missing #include <cstdint> for type
    int64_t (Closes: #1037733) with g++-13.
  * Standards-Version: 4.6.2.

 -- Filippo Rusconi <lopippo@debian.org>  Thu, 15 Jun 2023 10:59:52 +0200

libpwizlite (3.0.4-2~bullseye+1) bullseye; urgency=medium

  * debian package for PAPPSO bullseye repository

 -- Olivier Langella <olivier.langella@u-psud.fr>  Sun, 13 Mar 2022 12:26:06 +0100
