=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: libpwizlite
 Priority: optional
-Maintainer: The Debichem Group <debichem-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: The Debichem Group <debichem-devel@lists.alioth.debian.org>
 Uploaders: Filippo Rusconi <lopippo@debian.org>
-Build-Depends: debhelper-compat (= 13),
- cmake (>=3.12),
- dh-exec (>= 0.3),
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
+ cmake,
+ dh-exec,
  dpkg-dev (>= 1.18.25),
  libboost-dev,
  libboost-thread-dev,
@@ -13,7 +14,7 @@
  libboost-chrono-dev,
  zlib1g-dev,
  python3-docutils
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Section: libs
 Homepage: https://salsa.debian.org/debichem-team/libpwizlite
 Vcs-Browser: https://salsa.debian.org/debichem-team/libpwizlite
@@ -24,7 +25,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libpwizlite3 (= ${binary:Version}),
+Depends: libpwizlite3t64 (= ${binary:Version}),
  ${misc:Depends}
 Replaces: libpwizlite-dev (<< ${binary:Version})
 Description: Library to load mzML/mzXML files (dev files)
@@ -37,12 +38,14 @@
  This package ships the development files.
 
 
-Package: libpwizlite3
+Package: libpwizlite3t64
+Provides: ${t64:Provides}
+Breaks: libpwizlite3 (<< ${source:Version})
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends},
  ${misc:Depends}
-Replaces: libpwizlite3 (<< ${binary:Version})
+Replaces: libpwizlite3, libpwizlite3t64 (<< ${binary:Version})
 Description: Library to load mzML/mzXML files (runtime files)
  This library is a dumbed-down version of the Proteowizard library.
  This library only contains the required features to
