=== debian/rules ===
--- 
+++ 
@@ -15,11 +15,13 @@
 
 export DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
+export build_multiarch_dir ?= $(shell dpkg-architecture -q DEB_BUILD_MULTIARCH)
+
 # Hardening stuff, see http://wiki.debian.org/Hardening
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 DPKG_EXPORT_BUILDFLAGS = 1
 
-export LIB_VERSION = 3.0.4
+export LIB_VERSION = 3.0.5
 export LIB_SOVERSION = 3
 
 %:
@@ -29,6 +31,7 @@
 
 	rm -f debian/libpwizlite.3
 	rm -rf debian/includes
+	rm -rf obj-$(build_multiarch_dir)
 
 	dh_clean
