## libpwizlite 3.0.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,15 +8,13 @@
 ############################################################
 # Basic information about project
 
-set(PROJECT pwizlite)
+set(PROJECT libpwizlite)
 project(${PROJECT} CXX C)
 
 set(PWIZLITE_VERSION_MAJOR "3")
 set(PWIZLITE_VERSION_MINOR "0")
-set(PWIZLITE_VERSION_PATCH "5")
+set(PWIZLITE_VERSION_PATCH "8")
 set(PWIZLITE_VERSION "${PWIZLITE_VERSION_MAJOR}.${PWIZLITE_VERSION_MINOR}.${PWIZLITE_VERSION_PATCH}")
-# This VERSION is parseable by the makeOrigTarball script.
-set(VERSION 3.0.5)
 
 message(STATUS "${BoldYellow}CMAKE_LIBRARY_ARCHITECTURE: ${CMAKE_LIBRARY_ARCHITECTURE}${ColourReset}")
 
@@ -111,10 +109,10 @@
 
   if(WIN10MINGW64)
 
-    # The file below will actually #define WIN10MINGW64 for 
+    # The file below will actually #define WIN10MINGW64 for
     # consumption by the src/pwiz/utility/misc/Filesystem.cpp file !
     include(${CMAKE_TOOLCHAINS_PATH}/win10-mingw64-toolchain.cmake)
-    
+
   endif()
 
 elseif(APPLE)
@@ -171,6 +169,25 @@
 # Subdirectories
 message(STATUS "Adding subdirectory src for PROJECT: ${PROJECT}")
 add_subdirectory(src)
+
+
+#############################################################
+###########################
+# CREATE THE SOURCE PACKAGE
+include(${CMAKE_UTILS_PATH}/targz-source-package-creation.cmake)
+
+add_custom_target(archive
+  cpack -G TGZ --config CPackSourceConfig.cmake && mv
+  ${CMAKE_BINARY_DIR}/${CMAKE_PROJECT_NAME}-${PWIZLITE_VERSION}.tar.gz
+  ${CMAKE_SOURCE_DIR}/../tarballs && ln -sf
+  ${CMAKE_SOURCE_DIR}/../tarballs/${CMAKE_PROJECT_NAME}-${PWIZLITE_VERSION}.tar.gz
+  ${CMAKE_SOURCE_DIR}/../${CMAKE_PROJECT_NAME}_${PWIZLITE_VERSION}.orig.tar.gz && ln -sf
+  ${CMAKE_SOURCE_DIR}/../tarballs/${CMAKE_PROJECT_NAME}-${PWIZLITE_VERSION}.tar.gz
+  ${CMAKE_SOURCE_DIR}/../tarballs/${CMAKE_PROJECT_NAME}_${PWIZLITE_VERSION}.orig.tar.gz
+
+  WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
+  COMMENT "Creating .tar.gz" VERBATIM
+)
 
 
 # There are situations where we do not want CPack processing.
@@ -203,7 +220,7 @@
   set(CPACK_SOURCE_PACKAGE_FILE_NAME "libpwizlite-${PWIZLITE_VERSION}")
 
 
-  set(CPACK_SOURCE_IGNORE_FILES 
+  set(CPACK_SOURCE_IGNORE_FILES
     ".*\\\\.tar\\\\.gz"
     "moc_.*cxx"
     "\\\\.#.*"
@@ -259,11 +276,9 @@
   set(DEBIAN_PACKAGE_BUILDS_DEPENDS "Olivier Langella <olivier.langella@u-psud.fr>")
 
 
-  include(CPack)
-
 
   # to create a TGZ archive of the  source code type shell command
-  # cpack -G TGZ --config CPackSourceConfig.cmake 
+  # cpack -G TGZ --config CPackSourceConfig.cmake
 
 
   add_custom_target(targz
@@ -274,7 +289,7 @@
 
 
   add_custom_target(deb
-    ln -s libpwizlite-${PWIZLITE_VERSION}.tar.gz libpwizlite_${PWIZLITE_VERSION}.orig.tar.gz && cd libpwizlite-${PWIZLITE_VERSION} && dpkg-buildpackage -sa
+    ln -s libpwizlite-${PWIZLITE_VERSION}.tar.gz libpwizlite_${PWIZLITE_VERSION}.orig.tar.gz && cd libpwizlite-${PWIZLITE_VERSION} && dpkg-buildpackage -B
     DEPENDS targz
     WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
     COMMENT "Creating Debian package" VERBATIM
