=== debian/changelog ===
libpwizlite (3.0.8-1build1) plucky; urgency=medium

  * No-change rebuild against libhdf5-310

 -- Miriam España Acebal <miriam.espana@canonical.com>  Sun, 26 Jan 2025 10:58:37 +0000

libpwizlite (3.0.8-1) unstable; urgency=low

  * New upstream version with small glitch.
  * Upload to unstable.

 -- Filippo Rusconi <lopippo@debian.org>  Thu, 16 May 2024 14:24:07 +0200

libpwizlite (3.0.7-1) experimental; urgency=low

  * New upstream version.

 -- Filippo Rusconi <lopippo@debian.org>  Wed, 15 May 2024 23:53:49 +0200

libpwizlite (3.0.6-1~bookworm+2) bookworm; urgency=medium

  * debian package for PAPPSO bookworm repository

 -- Olivier Langella <olivier.langella@u-psud.fr>  Thu, 25 Apr 2024 14:51:12 +0200

libpwizlite (3.0.6-1~bookworm+1) bookworm; urgency=medium

  * debian package for PAPPSO bookworm repository

 -- Olivier Langella <olivier.langella@u-psud.fr>  Sat, 30 Mar 2024 06:53:12 +0100

libpwizlite (3.0.6-1) experimental; urgency=low

  * I had prepared the new 3.0.6-1 version before incorporating
    the 3.0.5-2.1. So this version is actually a merge of that
    initial 3.0.6-1 version into 3.0.5-2.1.
  * New upstream ProteoWizard version downloaded today.
  * New dependency on HDF5.

 -- Filippo Rusconi <lopippo@debian.org>  Fri, 29 Mar 2024 23:00:25 +0100

libpwizlite (3.0.5-2.1) experimental; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.

 -- Steve Langasek <vorlon@debian.org>  Fri, 02 Feb 2024 01:25:21 +0000

libpwizlite (3.0.5-1~bookworm+1) bookworm; urgency=medium

  * debian package for PAPPSO bookworm repository

 -- Olivier Langella <olivier.langella@u-psud.fr>  Wed, 12 Jul 2023 10:40:56 +0200
