=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: libpwizlite
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: The Debichem Group <debichem-devel@lists.alioth.debian.org>
+Maintainer: The Debichem Group <debichem-devel@lists.alioth.debian.org>
 Uploaders: Filippo Rusconi <lopippo@debian.org>
-Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
  cmake,
  dh-exec,
  dpkg-dev (>= 1.18.25),
@@ -13,7 +12,8 @@
  libboost-iostreams-dev,
  libboost-chrono-dev,
  zlib1g-dev,
- python3-docutils
+ python3-docutils,
+ libhdf5-dev
 Standards-Version: 4.6.2
 Section: libs
 Homepage: https://salsa.debian.org/debichem-team/libpwizlite
